<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: JSON Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classJSON-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">JSON Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Top level <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> handler.  
 <a href="classJSON.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="JSON_8h_source.html">JSON.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a91079cdb65f68716e2076138c4f87a67"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classJsonObject.html">JsonObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJSON.html#a91079cdb65f68716e2076138c4f87a67">createObject</a> ()</td></tr>
<tr class="memdesc:a91079cdb65f68716e2076138c4f87a67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an empty <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object.  <a href="#a91079cdb65f68716e2076138c4f87a67">More...</a><br /></td></tr>
<tr class="separator:a91079cdb65f68716e2076138c4f87a67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af00fe53438838fef727d2ebb7f5608"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classJsonArray.html">JsonArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJSON.html#a5af00fe53438838fef727d2ebb7f5608">createArray</a> ()</td></tr>
<tr class="memdesc:a5af00fe53438838fef727d2ebb7f5608"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an empty <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array.  <a href="#a5af00fe53438838fef727d2ebb7f5608">More...</a><br /></td></tr>
<tr class="separator:a5af00fe53438838fef727d2ebb7f5608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741365b2a30940b9709fa25ef2ac490f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJSON.html#a741365b2a30940b9709fa25ef2ac490f">deleteObject</a> (<a class="el" href="classJsonObject.html">JsonObject</a> jsonObject)</td></tr>
<tr class="memdesc:a741365b2a30940b9709fa25ef2ac490f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object.  <a href="#a741365b2a30940b9709fa25ef2ac490f">More...</a><br /></td></tr>
<tr class="separator:a741365b2a30940b9709fa25ef2ac490f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af51a6bb6be9615a39e8f4e55f82b5ee1"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJSON.html#af51a6bb6be9615a39e8f4e55f82b5ee1">deleteArray</a> (<a class="el" href="classJsonArray.html">JsonArray</a> jsonArray)</td></tr>
<tr class="memdesc:af51a6bb6be9615a39e8f4e55f82b5ee1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array.  <a href="#af51a6bb6be9615a39e8f4e55f82b5ee1">More...</a><br /></td></tr>
<tr class="separator:af51a6bb6be9615a39e8f4e55f82b5ee1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0f79af48a9d177bfbdebc1fbf5ef8c0"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classJsonObject.html">JsonObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJSON.html#af0f79af48a9d177bfbdebc1fbf5ef8c0">parseObject</a> (std::string text)</td></tr>
<tr class="memdesc:af0f79af48a9d177bfbdebc1fbf5ef8c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse a string that contains a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object.  <a href="#af0f79af48a9d177bfbdebc1fbf5ef8c0">More...</a><br /></td></tr>
<tr class="separator:af0f79af48a9d177bfbdebc1fbf5ef8c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22abd1ce346fb55b7137adc8ffdd1326"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classJsonArray.html">JsonArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJSON.html#a22abd1ce346fb55b7137adc8ffdd1326">parseArray</a> (std::string text)</td></tr>
<tr class="memdesc:a22abd1ce346fb55b7137adc8ffdd1326"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse a string that contains a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array.  <a href="#a22abd1ce346fb55b7137adc8ffdd1326">More...</a><br /></td></tr>
<tr class="separator:a22abd1ce346fb55b7137adc8ffdd1326"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Top level <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> handler. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a5af00fe53438838fef727d2ebb7f5608"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5af00fe53438838fef727d2ebb7f5608">&#9670;&nbsp;</a></span>createArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classJsonArray.html">JsonArray</a> JSON::createArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create an empty <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array. </p>
<dl class="section return"><dt>Returns</dt><dd>An empty <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array. </dd></dl>

</div>
</div>
<a id="a91079cdb65f68716e2076138c4f87a67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91079cdb65f68716e2076138c4f87a67">&#9670;&nbsp;</a></span>createObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classJsonObject.html">JsonObject</a> JSON::createObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create an empty <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object. </p>
<dl class="section return"><dt>Returns</dt><dd>An empty <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object. </dd></dl>

</div>
</div>
<a id="af51a6bb6be9615a39e8f4e55f82b5ee1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af51a6bb6be9615a39e8f4e55f82b5ee1">&#9670;&nbsp;</a></span>deleteArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void JSON::deleteArray </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classJsonArray.html">JsonArray</a>&#160;</td>
          <td class="paramname"><em>jsonArray</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Delete a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">jsonArray</td><td>The array to be deleted. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a741365b2a30940b9709fa25ef2ac490f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a741365b2a30940b9709fa25ef2ac490f">&#9670;&nbsp;</a></span>deleteObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void JSON::deleteObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classJsonObject.html">JsonObject</a>&#160;</td>
          <td class="paramname"><em>jsonObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Delete a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">jsonObject</td><td>The object to be deleted. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a22abd1ce346fb55b7137adc8ffdd1326"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22abd1ce346fb55b7137adc8ffdd1326">&#9670;&nbsp;</a></span>parseArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classJsonArray.html">JsonArray</a> JSON::parseArray </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parse a string that contains a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">text</td><td>The <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> text string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array. </dd></dl>

</div>
</div>
<a id="af0f79af48a9d177bfbdebc1fbf5ef8c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0f79af48a9d177bfbdebc1fbf5ef8c0">&#9670;&nbsp;</a></span>parseObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classJsonObject.html">JsonObject</a> JSON::parseObject </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parse a string that contains a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">text</td><td>The <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> text string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="JSON_8h_source.html">JSON.h</a></li>
<li>JSON.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
